Page MenuHomePhabricator

Update iOS app method of retrieving short descriptions to use new prop=description
Closed, ResolvedPublic

Description

Borrowing wholesale @Deskana's ticket description from T191333:


There's now a magic word which allows editors on the English Wikipedia to override the descriptions from Wikidata, per T184000. The previous method of accessing the descriptions using prop=pageterms now needs to be replaced with prop=description. The output from the new method is quite different, so there'll be a few changes that need to be made.

Old method: https://en.wikipedia.org/w/api.php?action=query&titles=Wagon%20Train&prop=pageterms

New method: https://en.wikipedia.org/w/api.php?action=query&titles=Wagon%20Train&prop=description


For iOS this means everywhere we have "prop" using "pageterms" we'll want to change to "description". I think we'll then no longer need the "wbptterms" "description" param. We'll just have to then extract the description straight from the "description" rather than from it's previous "terms" "description" array.

Event Timeline

Mhurd created this task.Apr 3 2018, 8:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 8:49 PM
Mhurd updated the task description. (Show Details)Apr 3 2018, 8:49 PM
Mhurd added a subscriber: Fjalapeno.
Mhurd added a comment.Apr 3 2018, 8:53 PM

@Fjalapeno I'm ready to jump on this. Given the rush should I prioritize this over wrapping moving the adjacent reference gathering to pagelib?

Mhurd renamed this task from Update method of retrieving short descriptions to use new prop=description to Update iOS app method of retrieving short descriptions to use new prop=description.Apr 4 2018, 6:23 PM

@Mhurd yes, prioritize this over the references!
Thanks :)

TheDJ added a subscriber: TheDJ.Apr 6 2018, 11:51 AM
JMinor triaged this task as High priority.Apr 13 2018, 9:10 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptApr 13 2018, 9:10 PM
Mhurd added a comment.Apr 24 2018, 8:56 PM

Reminder: will need to update the article footer "Read more" transform to use new wikidata parameters too.

JMinor assigned this task to Mhurd.Apr 25 2018, 6:29 PM
JMinor added a subscriber: JMinor.

Per Monte's spike (T192600), this is a fairly easy fix, so moving into scope for 5.8.1.

Mhurd added a comment.May 3 2018, 8:41 PM

Testing criteria

  • load enwiki > goat
  • scroll to Read more section at bottom of article
  • one of the Read more results is for Goat farming: ensure the description is Raising and breeding of domestic goats (which is a description I added using the new SHORTDESC described here)
ABorbaWMF added a subscriber: ABorbaWMF.

Looks goat to me on 5.8.1 (1400)

JMinor closed this task as Resolved.May 8 2018, 2:31 AM
JMinor added a subscriber: DannyH.

@DannyH and the curators of the en.wikipedia community thank you...